# TCPAuth
<span class="source-link">[[Source]](src/net/auth.md#L13)</span>
```pony
primitive val TCPAuth
```

## Constructors

### create
<span class="source-link">[[Source]](src/net/auth.md#L14)</span>


```pony
new val create(
  from: (AmbientAuth val | NetAuth val))
: TCPAuth val^
```
#### Parameters

*   from: ([AmbientAuth](builtin-AmbientAuth) val | [NetAuth](net-NetAuth) val)

#### Returns

* [TCPAuth](net-TCPAuth) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/net/auth.md#L14)</span>


```pony
fun box eq(
  that: TCPAuth val)
: Bool val
```
#### Parameters

*   that: [TCPAuth](net-TCPAuth) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/net/auth.md#L14)</span>


```pony
fun box ne(
  that: TCPAuth val)
: Bool val
```
#### Parameters

*   that: [TCPAuth](net-TCPAuth) val

#### Returns

* [Bool](builtin-Bool) val

---

